
%global glib2_version 2.66.0
%global gobject_introspection_version 1.66.0
%global gtk3_version 3.20
%global mozjs78_version 102.9.0-1

Name:          cjs
Version:       5.8.0
Release:    1%{?dist}
Summary:       Javascript Bindings for Cinnamon

License:       MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:           https://github.com/linuxmint/%{name}
%if 0%{?commitdate}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif

ExcludeArch:   %{ix86}

BuildRequires: dbus-daemon
BuildRequires: gcc-c++
BuildRequires: meson
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(mozjs-102) >= %{mozjs78_version}
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(sysprof-capture-4)
%ifnarch s390 s390x
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

Requires: glib2 >= %{glib2_version}
Requires: gobject-introspection >= %{gobject_introspection_version}
Requires: gtk3 >= %{gtk3_version}
Requires: mozjs102 >= %{mozjs78_version}

%description
Cjs allows using Cinnamon libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.


%package devel
Summary: Development package for %{name}
Requires: %{name} = %{?epoch}:%{version}-%{release}

%description devel
Files for development with %{name}.


%package tests
Summary: Tests for the cjs package
Requires: %{name} = %{?epoch}:%{version}-%{release}

%description tests
The cjs-tests package contains tests that can be used to verify
the functionality of the installed cjs package.


%prep
%autosetup -p1 %{?commitdate:-n %{name}-%{commit}}


%build
%meson \
 --libexecdir=%{_libexecdir}/cjs/ \
 -D installed_tests=true
%meson_build


%install
%meson_install


%check
%ifnarch s390 s390x
xvfb-run -a /usr/bin/meson test -C %{_vpath_builddir} \
 --num-processes %{_smp_build_ncpus} --print-errorlogs
%endif

%files
%doc NEWS README.md
%license COPYING
%{_bindir}/cjs
%{_bindir}/cjs-console
%{_libdir}/*.so.*
%{_libdir}/cjs/


%files devel
%doc examples/*
%{_includedir}/cjs-1.0/
%{_libdir}/pkgconfig/cjs-*1.0.pc
%{_libdir}/*.so
%{_datadir}/cjs-1.0/


%files tests
%{_libexecdir}/cjs/
%{_datadir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.cinnamon.CjsTest.gschema.xml


%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-1
- initial build
